define([
    './models'
], (
    Models
) => {
    const m_formatCache = {};
    const m_classCache = {};
    const m_subClassCache = {};
    const m_regex_upper = /[A-Z]/;

    const Helper = function Constructor() {
    };

    Helper.Format = function (format) {
        if (!format) {
            return '';
        }
        else {
            const args = Array.prototype.slice.call(arguments, 1);
            const key = format + args.join('.');

            if (m_formatCache[key]) {
                return m_formatCache[key]
            }
            else {
                const len = args.length;
                for (let idx = 0; idx < len; idx++) {
                    const value = args[idx];
                    format = format.replace(new RegExp(('((?!\\\\)?\\{' + idx + '(?!\\\\)?\\})'), 'g'), value);
                }
                format = format.replace(new RegExp(('\\\\{([0-9]+)\\\\}'), 'g'), '{$1}');
            }
            m_formatCache[key] = format;
            return format;
        }
    };

    Helper.GetClass = name => {
        const key = [Models.ComponentName, name].join('.');

        if (m_classCache[key]) {
            return m_classCache[key];
        }
        else {
            const chars = name.split('');
            const classNames = [];
            const len = chars.length;

            for (let idx = 0, pos = 0; idx < len; idx++) {
                let char = chars[idx];
                if (typeof char !== 'string') {
                    continue;
                }

                if (m_regex_upper.test(char) === true) {
                    classNames[pos++] = '-';
                    char = char.toString().toLowerCase();
                }
                classNames[pos++] = char;
            }

            const className = classNames.join('');
            m_classCache[key] = className;
            return className;
        }
    };

    Helper.GetSubClass = name => {
        if (!m_subClassCache[name]) {
            m_subClassCache[name] = Helper.GetClass(Helper.Format('{0}{1}', Models.ComponentName, name));
        }
        return m_subClassCache[name];
    };

    return Helper;
});